Bug 5713 - Windows 2000 (Admin Pack) MMC consoles don't work anymore
Windows 2000 (Admin Pack) MMC consoles don't work anymore
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x86 Windows 2000
: P3 major
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
http://support.microsoft.com/kb/261203
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 01:40 UTC by Matthias Dieter Wallnöfer
Modified: 2008-10-07 07:32 UTC (History)
1 user (show)

See Also:


Attachments
Cosmetic patch for return value (389 bytes, patch)
2008-08-25 10:58 UTC, Matthias Dieter Wallnöfer
no flags Details
Cosmetic patch for KERBEROS parts (7.31 KB, patch)
2008-09-07 14:49 UTC, Matthias Dieter Wallnöfer
no flags Details
Cosmetic patch for LDB parts/library (28.92 KB, patch)
2008-09-07 14:54 UTC, Matthias Dieter Wallnöfer
no flags Details
NTLMSSP patch (2.33 KB, patch)
2008-09-16 12:01 UTC, Matthias Dieter Wallnöfer
no flags Details
New version of the previous patch (2.82 KB, patch)
2008-09-17 09:43 UTC, Matthias Dieter Wallnöfer
no flags Details
GIT formatted version of the NTLMSSP patch (919 bytes, patch)
2008-09-17 10:48 UTC, Matthias Dieter Wallnöfer
no flags Details
GIT formatted version of the NTLMSSP patch (4.10 KB, patch)
2008-09-17 10:57 UTC, Matthias Dieter Wallnöfer
no flags Details
Capture Windows 2000 Admin Pack ADUC console <-> SAMBA 4 (90.03 KB, application/octet-stream)
2008-09-19 11:42 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-08-23 01:40:46 UTC
The latest schema patch (consider the URL) seems to break the interaction with the Microsoft MMC consoles. Every time I open one of them I get a messagebox telling me "Naming information cannot be located because: Unknown error". I've  done some investigations (wireshark, patch analysis) but I don't have a clue yet.
Comment 1 Matthias Dieter Wallnöfer 2008-08-25 10:58:53 UTC
Created attachment 3505 [details]
Cosmetic patch for return value

A small cosemtic correction, so the result seems more obvious. Please apply!
Comment 2 Hotnuma 2008-08-26 08:53:04 UTC
Was it fixed ? I just upgraded my server and It seems to work at first glance...
I didn't do a fresh provision, just copied files from previous build.

(In reply to comment #0)
> The latest schema patch (consider the URL) seems to break the interaction with
> the Microsoft MMC consoles. Every time I open one of them I get a messagebox
> telling me "Naming information cannot be located because: Unknown error". I've 
> done some investigations (wireshark, patch analysis) but I don't have a clue
> yet.
> 

Comment 3 Matthias Dieter Wallnöfer 2008-08-26 11:43:53 UTC
(In reply to comment #2)

I provided now also the platform informations. My client is a Win2k SP4 virtual machine. Maybe with another OS (yours) it works!

> Was it fixed ? I just upgraded my server and It seems to work at first
> glance...
> I didn't do a fresh provision, just copied files from previous build.
Comment 4 Hotnuma 2008-08-26 12:47:07 UTC
You are correct, it seems to work fine under XP SP3, but I tested W2K SP4 with the same issue.
Comment 5 Matthias Dieter Wallnöfer 2008-09-07 14:49:24 UTC
Created attachment 3532 [details]
Cosmetic patch for KERBEROS parts

This patch fixes up the SAMBA 4 KERBEROS routines for right return values and corrects also a wrong function name (typo).
Comment 6 Matthias Dieter Wallnöfer 2008-09-07 14:54:15 UTC
Created attachment 3533 [details]
Cosmetic patch for LDB parts/library

This patch is much longer and tries to use the LDB return constants as much as possible versus using hardcoded numbers. The constants are more readable and I tried to introduce them were it makes sense to use (e.g. in comparison routines it does'nt). Since I changed the value "-1" to 1/"LDB_ERR_OPERATIONS_ERROR" in a few cases, I had also to adapt some if's on return values.
Comment 7 Andrew Bartlett 2008-09-09 01:36:53 UTC
This is fixed in 937b466266256d26d02cf8d48e72a26272fe8627.  Please check.
Comment 8 Matthias Dieter Wallnöfer 2008-09-09 03:54:43 UTC
Not fixed yet.
Comment 9 Matthias Dieter Wallnöfer 2008-09-11 17:25:34 UTC
This could be a indication of our problem: When opening ADDT (Active Directory Domains and Trusts) MMC I get a more detailed error message: "The configuration information describing this enterprise is not available."
Comment 10 Matthias Dieter Wallnöfer 2008-09-11 17:37:52 UTC
I found the problem in Microsoft's KB. But how we fix it for SAMBA 4?
Comment 11 Matthias Dieter Wallnöfer 2008-09-16 12:01:56 UTC
Created attachment 3590 [details]
NTLMSSP patch

Here a patch related to the problem that fixes the NTLMSSP result host and domain DNS names.
Comment 12 Matthias Dieter Wallnöfer 2008-09-17 09:43:25 UTC
Created attachment 3592 [details]
New version of the previous patch

Use "lp_*" calls
Comment 13 Matthias Dieter Wallnöfer 2008-09-17 10:48:56 UTC
Created attachment 3593 [details]
GIT formatted version of the NTLMSSP patch

Improved version and GIT formatted.
Comment 14 Matthias Dieter Wallnöfer 2008-09-17 10:57:03 UTC
Created attachment 3594 [details]
GIT formatted version of the NTLMSSP patch

Now it should be ready and complete.
Comment 15 Matthias Dieter Wallnöfer 2008-09-17 11:12:57 UTC
Assign it up to Stefan Metzmacher and let Andrew Bartlett be the QA Contact.
Comment 16 Stefan Metzmacher 2008-09-19 11:26:02 UTC
NTLMSSP pathes are pushed with 8ac5db124630586605bd3972975ea47ee1cb34c0
Comment 17 Stefan Metzmacher 2008-09-19 11:29:27 UTC
Can you please upload a capture thate shows the remaining problem
Comment 18 Matthias Dieter Wallnöfer 2008-09-19 11:37:07 UTC
Comment on attachment 3594 [details]
GIT formatted version of the NTLMSSP patch

Can do. I mark the NTLMSSP patch as obsolete, because it has been applied.
Comment 19 Matthias Dieter Wallnöfer 2008-09-19 11:42:43 UTC
Created attachment 3602 [details]
Capture Windows 2000 Admin Pack ADUC console <-> SAMBA 4
Comment 20 Matthias Dieter Wallnöfer 2008-10-05 12:32:13 UTC
Part of the problem has been fixed through a patch of Tridge ("Remove dependencies of my home domain"). At least the "Browse" button in the "Connect to Domain" dialog works again. But the connection failures with their weird error massages persist.
Comment 21 Andrew Bartlett 2008-10-06 19:17:26 UTC
If you try again with GIT after c412a930ad19da866503e6d8ccb71fb3191fc6d2, I think Microsoft's folks found the fundamental issue here (hitting other tools too) at the interop event. 
Comment 22 Matthias Dieter Wallnöfer 2008-10-07 07:32:32 UTC
Andrew, you got it! Thanks for chasing this down!